> ## Documentation Index
> Fetch the complete documentation index at: https://docs.readyhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Segment

> Returns one segment of an intake.



## OpenAPI

````yaml GET /v2/intakes/{id}/segments/{sid}
openapi: 3.0.1
info:
  title: Ready Health API
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.readyhealth.com
security:
  - ApiKeyAuth: []
paths:
  /v2/intakes/{id}/segments/{sid}:
    get:
      summary: Get one segment
      description: Returns one segment of an intake.
      parameters:
        - name: id
          in: path
          required: true
          description: Intake ID
          schema:
            type: string
            format: uuid
        - name: sid
          in: path
          required: true
          description: Segment (document) ID
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Segment
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Segment'
        '404':
          description: Intake or segment not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2Error'
components:
  schemas:
    Segment:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Document ID.
        intake_id:
          type: string
          format: uuid
        index:
          type: integer
          description: 0-based page order.
        page_start:
          type: integer
          nullable: true
        page_end:
          type: integer
          nullable: true
        document_type:
          type: string
          nullable: true
        document_category:
          type: string
          nullable: true
        schema_id:
          type: string
          nullable: true
        fields:
          type: object
          nullable: true
          description: Extracted fields for this document type.
        derived_fields:
          type: object
          nullable: true
        external_fields:
          type: object
          nullable: true
        validation_result:
          type: string
          nullable: true
          enum:
            - VALID
            - INVALID
            - NOT_SUPPORTED
          description: >-
            Null for segments that are not candidates for the requested
            requirement.
        validations:
          type: object
          nullable: true
        attestations:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
              type:
                type: string
              created_at:
                type: string
                format: date-time
              file:
                type: object
                nullable: true
                properties:
                  url:
                    type: string
        expires_at:
          type: string
          format: date
          nullable: true
        redacted_at:
          type: string
          format: date-time
          nullable: true
        scan_status:
          type: string
          enum:
            - PENDING
            - SUCCESS
            - FAILED
        fraud:
          type: object
          nullable: true
          properties:
            result:
              type: string
              enum:
                - clean
                - fraudulent
            score:
              type: number
              nullable: true
        error:
          $ref: '#/components/schemas/IntakeError'
        file:
          $ref: '#/components/schemas/IntakeFile'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
          nullable: true
    V2Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              description: >-
                Stable snake_case code, e.g. `invalid_request`, `unauthorized`,
                `not_found`, `unknown_requirement`, `file_required`,
                `file_too_large`, `source_validation_disabled`,
                `unsupported_file`.
            message:
              type: string
            details:
              nullable: true
    IntakeError:
      type: object
      nullable: true
      properties:
        code:
          type: string
        message:
          type: string
    IntakeFile:
      type: object
      nullable: true
      properties:
        url:
          type: string
          description: Presigned download URL.
        name:
          type: string
          nullable: true
        mime_type:
          type: string
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````